# `HDF5_jll.jl` (v1.10.5+6)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl). The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/1079bcc13b6b06845a0c1670e472ebb2bfad5e10/H/HDF5/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.  If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://juliapackaging.github.io/BinaryBuilder.jl/dev/jll/).

## Sources

The tarballs for `HDF5_jll.jl` have been built from these sources:

* file: https://files.pythonhosted.org/packages/2c/47/e0d58be6f292684a4541d10b1da953542ff679f3ffc6096bee73634832b1/h5py-2.10.0-cp27-cp27m-macosx_10_6_intel.whl (SHA256 checksum: `ecf4d0b56ee394a0984de15bceeb97cbe1fe485f1ac205121293fc44dcf3f31f`)
* file: https://files.pythonhosted.org/packages/3f/b6/23155e343f8719923449ccfebac296c1ab0dda9bdccc28242e1594469f5a/h5py-2.10.0-cp27-cp27m-manylinux1_i686.whl (SHA256 checksum: `86868dc07b9cc8cb7627372a2e6636cdc7a53b7e2854ad020c9e9d8a4d3fd0f5`)
* file: https://files.pythonhosted.org/packages/3a/9b/5b68a27110d459704550cfc0c765a1ae6ee98981cbbbf0ca92983c87046a/h5py-2.10.0-cp27-cp27m-manylinux1_x86_64.whl (SHA256 checksum: `aac4b57097ac29089f179bbc2a6e14102dd210618e94d77ee4831c65f82f17c0`)
* compressed archive: http://repo.msys2.org/mingw/i686/mingw-w64-i686-hdf5-1.10.5-1-any.pkg.tar.xz (SHA256 checksum: `d29a56297219e1981f393e266ee515605237323fc20b0a69a45961c4bfe5e9da`)
* compressed archive: http://repo.msys2.org/mingw/i686/mingw-w64-i686-szip-2.1.1-2-any.pkg.tar.xz (SHA256 checksum: `58b5efe1420a2bfd6e92cf94112d29b03ec588f54f4a995a1b26034076f0d369`)
* compressed archive: http://repo.msys2.org/mingw/i686/mingw-w64-i686-zlib-1.2.11-7-any.pkg.tar.xz (SHA256 checksum: `addf6c52134027407640f1cbdf4efc5b64430f3a286cb4e4c4f5dbb44ce55a42`)
* compressed archive: http://repo.msys2.org/mingw/x86_64/mingw-w64-x86_64-szip-2.1.1-2-any.pkg.tar.xz (SHA256 checksum: `ec8fe26370b0673c4b91f5ccf3404907dc7c24cb9d75c7b8830aa93a7c13ace7`)
* compressed archive: http://repo.msys2.org/mingw/x86_64/mingw-w64-x86_64-hdf5-1.10.5-1-any.pkg.tar.xz (SHA256 checksum: `e01196dd53711304aa4026932c153171606efc4d6938dd3c172b6b40d9e7cdd9`)
* compressed archive: http://repo.msys2.org/mingw/x86_64/mingw-w64-x86_64-zlib-1.2.11-7-any.pkg.tar.xz (SHA256 checksum: `1decf05b8ae6ab10ddc9035929014837c18dd76da825329023da835aec53cec2`)
* compressed archive: http://repo.msys2.org/mingw/i686/mingw-w64-i686-gcc-libs-9.1.0-3-any.pkg.tar.xz (SHA256 checksum: `416819d44528e856fb1f142b41fd3b201615d19ddaed8faa5d71296676d6fa17`)
* compressed archive: https://github.com/JuliaPackaging/Yggdrasil/releases/download/HDF5-arm-linux-gnueabihf-v1.10.5/hdf5-arm-linux-gnueabihf-v1.10.5.tar.gz (SHA256 checksum: `12797e8f8b864dd1a5846c09a3efa21439844f76507483b373690b22bc2f09d7`)
* compressed archive: https://anaconda.org/conda-forge/hdf5/1.10.5/download/linux-aarch64/hdf5-1.10.5-nompi_h3c11f04_1104.tar.bz2 (SHA256 checksum: `46300770bb662aaefc92a9e21c5f78ebfaac5c00d4963844c3f730836400edb2`)

## Platforms

`HDF5_jll.jl` is available for the following platforms:

* `Linux(:aarch64, libc=:glibc)` (`aarch64-linux-gnu`)
* `Linux(:armv7l, libc=:glibc, call_abi=:eabihf)` (`armv7l-linux-gnueabihf`)
* `Linux(:i686, libc=:glibc)` (`i686-linux-gnu`)
* `Windows(:i686)` (`i686-w64-mingw32`)
* `MacOS(:x86_64)` (`x86_64-apple-darwin14`)
* `Linux(:x86_64, libc=:glibc)` (`x86_64-linux-gnu`)
* `Windows(:x86_64)` (`x86_64-w64-mingw32`)

## Dependencies

The following JLL packages are required by `HDF5_jll.jl`:

* [`Zlib_jll`](https://github.com/JuliaBinaryWrappers/Zlib_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libhdf5`
* `LibraryProduct`: `libhdf5_hl`
